> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.talqora.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.talqora.com/_mcp/server.

# Set connector scope and start sync

PUT https://api.talqora.com/v1/indexes/{index_id}/connectors/{connection_id}/scope
Content-Type: application/json

Reference: https://docs.talqora.com/api-reference/connectors/set-scope

## Authentication

- `Authorization` header (bearer token, required) — Use a tq_live_ API key as a Bearer token.

## Request

### Path parameters

- `index_id` (string, required)
- `connection_id` (string, required)

### Headers

- `x-talqora-organization-id` (string, optional, nullable)

### Body (application/json)

This endpoint expects a ConnectorScopeUpdate.

- `folders` (list of string, optional, default: [])
- `files` (list of string, optional, default: [])
- `folder_labels` (map from string to string, optional, default: {})
- `notion_pages` (list of string, optional, default: [])
- `notion_data_sources` (list of string, optional, default: [])
- `notion_labels` (map from string to string, optional, default: {})
- `gmail_after` (string, optional, nullable)
- `calendar_after` (string, optional, nullable)
- `slack_channels` (list of string, optional, default: [])

## Response

### 202

Successful Response

- `map from string to string`

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**Request**

```json
{}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.talqora.com/v1/indexes/index_id/connectors/connection_id/scope"

payload = {}
headers = {
    "Authorization": "Bearer <Talqora API key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.talqora.com/v1/indexes/index_id/connectors/connection_id/scope';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <Talqora API key>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.talqora.com/v1/indexes/index_id/connectors/connection_id/scope"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <Talqora API key>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.talqora.com/v1/indexes/index_id/connectors/connection_id/scope")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <Talqora API key>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.talqora.com/v1/indexes/index_id/connectors/connection_id/scope")
  .header("Authorization", "Bearer <Talqora API key>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.talqora.com/v1/indexes/index_id/connectors/connection_id/scope', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <Talqora API key>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.talqora.com/v1/indexes/index_id/connectors/connection_id/scope");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <Talqora API key>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <Talqora API key>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.talqora.com/v1/indexes/index_id/connectors/connection_id/scope")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```